Get account usage series
curl --request GET \
--url https://api.veryfront.com/account/usage/series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/account/usage/series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/account/usage/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metric": "credits",
"label": "<string>",
"unit": "<string>",
"summary": {
"value": 123
},
"timeframe": {
"from": "<string>",
"to": "<string>",
"granularity": "day",
"timezone": "<string>",
"bucket_count": 123
},
"series": [
{
"bucket_start": "<string>",
"value": 123,
"projects": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>",
"value": 123
}
]
}
],
"projects": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"project_slug": "<string>",
"value": 123
}
]
}Returns a daily usage series for credits or another tracked account resource metric. Optionally scoped to a single project.
GET
/
account
/
usage
/
series
Get account usage series
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Usage metric to chart.
Available options:
credits, storage, bandwidth, api_calls Relative timeframe preset.
Available options:
7d, 30d, 90d IANA timezone for daily bucket boundaries.
Optional project UUID or slug to scope the usage series to a single project.
Deprecated project ID or slug alias. Use project_reference.
Deprecated camelCase project ID or slug alias. Use project_reference.
Response
Account usage series statistics
Usage metric represented by this series.
Available options:
credits, storage, bandwidth, api_calls Human-readable metric label.
Unit used by values, such as credits, calls, or bytes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes